# Class JApplicationApi

#### Hierarchy (View Summary)

- JBaseApi
  - JApplicationApi

- Defined in jamespot-user-api/src/apis/application/application.ts:12

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

list
studioCssClassList
studioDelete
studioGet
studioInstall
studioList
studioRestart
studioSave
studioSuspend

## Constructors

### constructor

- new JApplicationApi(jApi: JamespotUserApi): JApplicationApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JApplicationApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### list

- list(): Promise<ApiWrapper<ApplicationType[], BaseMessages>>

  List applications

  #### Returns Promise<ApiWrapper<ApplicationType[], BaseMessages>>

  - Defined in jamespot-user-api/src/apis/application/application.ts:16

### studioCssClassList

- studioCssClassList(): Promise<ApiWrapper<string[], BaseMessages>>

  Get cssClass possible values.

  #### Returns Promise<ApiWrapper<string[], BaseMessages>>

  - Defined in jamespot-user-api/src/apis/application/application.ts:110

### studioDelete

- studioDelete(
  idApp: string,
  status: StudioApplicationStatusEnumBased,
  ): Promise<BaseMessages>

  Delete a selected status of the application

  #### Parameters

  - idApp: string

    application id to delete

  - status: StudioApplicationStatusEnumBased

    application status to select

  #### Returns Promise<BaseMessages>

  message after delete execution

  - Defined in jamespot-user-api/src/apis/application/application.ts:94

### studioGet

- studioGet(
  idApp: string,
  status?: StudioApplicationStatusEnumBased,
  ): Promise<ApiWrapper<StudioApplicationBase, BaseMessages>>

  Get one application

  #### Parameters

  - idApp: string
  - `Optional` status: StudioApplicationStatusEnumBased

  #### Returns Promise<ApiWrapper<StudioApplicationBase, BaseMessages>>

  JApplication object in full format

  - Defined in jamespot-user-api/src/apis/application/application.ts:34

### studioInstall

- studioInstall(
  xmlBody: string,
  ): Promise<ApiWrapper<StudioApplicationBase, BaseMessages>>

  Install this application. If everything is ok, remove previous saved and autosaved versions of this application.

  #### Parameters

  - xmlBody: string

  #### Returns Promise<ApiWrapper<StudioApplicationBase, BaseMessages>>

  JApplication object in full format

  - Defined in jamespot-user-api/src/apis/application/application.ts:44

### studioList

- studioList(): Promise<ApiWrapper<StudioApplicationBase[], BaseMessages>>

  List applications

  #### Returns Promise<ApiWrapper<StudioApplicationBase[], BaseMessages>>

  JApplication objects, in light format

  - Defined in jamespot-user-api/src/apis/application/application.ts:26

### studioRestart

- studioRestart(
  idApp: string,
  ): Promise<ApiWrapper<StudioApplicationBase, BaseMessages>>

  Restart an suspended application.

  #### Parameters

  - idApp: string

  #### Returns Promise<ApiWrapper<StudioApplicationBase, BaseMessages>>

  JApplication object in full format

  - Defined in jamespot-user-api/src/apis/application/application.ts:62

### studioSave

- studioSave(
  idApp: string,
  value: string,
  status:
  | string
  | number
  | (() => string)
  | ((pos: number) => string)
  | ((index: number) => number)
  | ((...strings: string[]) => string)
  | ((searchString: string, position?: number) => number)
  | ((searchString: string, position?: number) => number)
  | {
  (that: string): number;
  (
  that: string,
  locales?: string | string[],
  options?: CollatorOptions,
  ): number;
  (
  that: string,
  locales?: LocalesArgument,
  options?: CollatorOptions,
  ): number;
  }
  | {
  (regexp: string | RegExp): RegExpMatchArray | null;
  (
  matcher: { "[match]"(string: string): RegExpMatchArray | null },
  ): RegExpMatchArray | null;
  }
  | {
  (searchValue: string | RegExp, replaceValue: string): string;
  (
  searchValue: string | RegExp,
  replacer: (substring: string, ...args: any[]) => string,
  ): string;
  (
  searchValue: {
  "[replace]"(string: string, replaceValue: string): string;
  },
  replaceValue: string,
  ): string;
  (
  searchValue: {
  "[replace]"(
  string: string,
  replacer: (substring: string, ...args: any[]) => string,
  ): string;
  },
  replacer: (substring: string, ...args: any[]) => string,
  ): string;
  }
  | {
  (regexp: string | RegExp): number;
  (searcher: { "[search]"(string: string): number }): number;
  }
  | ((start?: number, end?: number) => string)
  | {
  (separator: string | RegExp, limit?: number): string[];
  (
  splitter: { "[split]"(string: string, limit?: number): string[] },
  limit?: number,
  ): string[];
  }
  | ((start: number, end?: number) => string)
  | (() => string)
  | {
  (locales?: string | string[]): string;
  (locales?: LocalesArgument): string;
  }
  | (() => string)
  | {
  (locales?: string | string[]): string;
  (locales?: LocalesArgument): string;
  }
  | (() => string)
  | ((from: number, length?: number) => string)
  | (() => string)
  | ((pos: number) => number | undefined)
  | ((searchString: string, position?: number) => boolean)
  | ((searchString: string, endPosition?: number) => boolean)
  | {
  (form: "NFC" | "NFD" | "NFKC" | "NFKD"): string;
  (form?: string): string;
  }
  | ((count: number) => string)
  | ((searchString: string, position?: number) => boolean)
  | ((name: string) => string)
  | (() => string)
  | (() => string)
  | (() => string)
  | (() => string)
  | ((color: string) => string)
  | { (size: number): string; (size: string): string }
  | (() => string)
  | ((url: string) => string)
  | (() => string)
  | (() => string)
  | (() => string)
  | (() => string)
  | ((maxLength: number, fillString?: string) => string)
  | ((maxLength: number, fillString?: string) => string)
  | (() => string)
  | (() => string)
  | (() => string)
  | (() => string)
  | ((regexp: RegExp) => RegExpStringIterator<RegExpExecArray>)
  | {
  (searchValue: string | RegExp, replaceValue: string): string;
  (
  searchValue: string | RegExp,
  replacer: (substring: string, ...args: any[]) => string,
  ): string;
  }
  | ((index: number) => string | undefined)
  | (() => boolean)
  | (() => string)
  | (() => StringIterator<string>),
  ): Promise<ApiWrapper<StudioApplicationBase, BaseMessages>>

  Save a 'local', 'saved' or 'autosaved' version of the application Returns a 'save' or 'autosaved' application.

  #### Parameters

  - idApp: string
  - value: string
  - status:
    | string
    | number
    | (() => string)
    | ((pos: number) => string)
    | ((index: number) => number)
    | ((...strings: string[]) => string)
    | ((searchString: string, position?: number) => number)
    | ((searchString: string, position?: number) => number)
    | {
    (that: string): number;
    (
    that: string,
    locales?: string | string[],
    options?: CollatorOptions,
    ): number;
    (
    that: string,
    locales?: LocalesArgument,
    options?: CollatorOptions,
    ): number;
    }
    | {
    (regexp: string | RegExp): RegExpMatchArray | null;
    (
    matcher: { "[match]"(string: string): RegExpMatchArray | null },
    ): RegExpMatchArray | null;
    }
    | {
    (searchValue: string | RegExp, replaceValue: string): string;
    (
    searchValue: string | RegExp,
    replacer: (substring: string, ...args: any[]) => string,
    ): string;
    (
    searchValue: {
    "[replace]"(string: string, replaceValue: string): string;
    },
    replaceValue: string,
    ): string;
    (
    searchValue: {
    "[replace]"(
    string: string,
    replacer: (substring: string, ...args: any[]) => string,
    ): string;
    },
    replacer: (substring: string, ...args: any[]) => string,
    ): string;
    }
    | {
    (regexp: string | RegExp): number;
    (searcher: { "[search]"(string: string): number }): number;
    }
    | ((start?: number, end?: number) => string)
    | {
    (separator: string | RegExp, limit?: number): string[];
    (
    splitter: { "[split]"(string: string, limit?: number): string[] },
    limit?: number,
    ): string[];
    }
    | ((start: number, end?: number) => string)
    | (() => string)
    | {
    (locales?: string | string[]): string;
    (locales?: LocalesArgument): string;
    }
    | (() => string)
    | {
    (locales?: string | string[]): string;
    (locales?: LocalesArgument): string;
    }
    | (() => string)
    | ((from: number, length?: number) => string)
    | (() => string)
    | ((pos: number) => number | undefined)
    | ((searchString: string, position?: number) => boolean)
    | ((searchString: string, endPosition?: number) => boolean)
    | {
    (form: "NFC" | "NFD" | "NFKC" | "NFKD"): string;
    (form?: string): string;
    }
    | ((count: number) => string)
    | ((searchString: string, position?: number) => boolean)
    | ((name: string) => string)
    | (() => string)
    | (() => string)
    | (() => string)
    | (() => string)
    | ((color: string) => string)
    | { (size: number): string; (size: string): string }
    | (() => string)
    | ((url: string) => string)
    | (() => string)
    | (() => string)
    | (() => string)
    | (() => string)
    | ((maxLength: number, fillString?: string) => string)
    | ((maxLength: number, fillString?: string) => string)
    | (() => string)
    | (() => string)
    | (() => string)
    | (() => string)
    | ((regexp: RegExp) => RegExpStringIterator<RegExpExecArray>)
    | {
    (searchValue: string | RegExp, replaceValue: string): string;
    (
    searchValue: string | RegExp,
    replacer: (substring: string, ...args: any[]) => string,
    ): string;
    }
    | ((index: number) => string | undefined)
    | (() => boolean)
    | (() => string)
    | (() => StringIterator<string>)
    - string
    - number
    - () => string
      - - (): string

        - Returns a string representation of a string.

          #### Returns string

    - (pos: number) => string
      - - (pos: number): string

        - Returns the character at the specified index.

          #### Parameters

          - pos: number

            The zero-based index of the desired character.

          #### Returns string

    - (index: number) => number
      - - (index: number): number

        - Returns the Unicode value of the character at the specified location.

          #### Parameters

          - index: number

            The zero-based index of the desired character. If there is no character at the specified index, NaN is returned.

          #### Returns number

    - (...strings: string[]) => string
      - - (...strings: string[]): string

        - Returns a string that contains the concatenation of two or more strings.

          #### Parameters

          - ...strings: string[]

            The strings to append to the end of the string.

          #### Returns string

    - (searchString: string, position?: number) => number
      - - (searchString: string, position?: number): number

        - Returns the position of the first occurrence of a substring.

          #### Parameters

          - searchString: string

            The substring to search for in the string

          - `Optional` position: number

            The index at which to begin searching the String object. If omitted, search starts at the beginning of the string.

          #### Returns number

    - (searchString: string, position?: number) => number
      - - (searchString: string, position?: number): number

        - Returns the last occurrence of a substring in the string.

          #### Parameters

          - searchString: string

            The substring to search for.

          - `Optional` position: number

            The index at which to begin searching. If omitted, the search begins at the end of the string.

          #### Returns number

    - {
      (that: string): number;
      (
      that: string,
      locales?: string | string[],
      options?: CollatorOptions,
      ): number;
      (
      that: string,
      locales?: LocalesArgument,
      options?: CollatorOptions,
      ): number;
      }
      - - (that: string): number

        - Determines whether two strings are equivalent in the current locale.

          #### Parameters

          - that: string

            String to compare to target string

          #### Returns number

        - (that: string, locales?: string | string[], options?: CollatorOptions): number

        - Determines whether two strings are equivalent in the current or specified locale.

          #### Parameters

          - that: string

            String to compare to target string

          - `Optional` locales: string | string[]

            A locale string or array of locale strings that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used. This parameter must conform to BCP 47 standards; see the Intl.Collator object for details.

          - `Optional` options: CollatorOptions

            An object that contains one or more properties that specify comparison options. see the Intl.Collator object for details.

          #### Returns number

        - (that: string, locales?: LocalesArgument, options?: CollatorOptions): number

        - Determines whether two strings are equivalent in the current or specified locale.

          #### Parameters

          - that: string

            String to compare to target string

          - `Optional` locales: LocalesArgument

            A locale string or array of locale strings that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used. This parameter must conform to BCP 47 standards; see the Intl.Collator object for details.

          - `Optional` options: CollatorOptions

            An object that contains one or more properties that specify comparison options. see the Intl.Collator object for details.

          #### Returns number

    - {
      (regexp: string | RegExp): RegExpMatchArray | null;
      (
      matcher: { "[match]"(string: string): RegExpMatchArray | null },
      ): RegExpMatchArray | null;
      }
      - - (regexp: string | RegExp): RegExpMatchArray | null

        - Matches a string with a regular expression, and returns an array containing the results of that search.

          #### Parameters

          - regexp: string | RegExp

            A variable name or string literal containing the regular expression pattern and flags.

          #### Returns RegExpMatchArray | null

        - (
          matcher: { "[match]"(string: string): RegExpMatchArray | null },
          ): RegExpMatchArray | null

        - Matches a string or an object that supports being matched against, and returns an array containing the results of that search, or null if no matches are found.

          #### Parameters

          - matcher: { "[match]"(string: string): RegExpMatchArray | null }

            An object that supports being matched against.

          #### Returns RegExpMatchArray | null

    - {
      (searchValue: string | RegExp, replaceValue: string): string;
      (
      searchValue: string | RegExp,
      replacer: (substring: string, ...args: any[]) => string,
      ): string;
      (
      searchValue: {
      "[replace]"(string: string, replaceValue: string): string;
      },
      replaceValue: string,
      ): string;
      (
      searchValue: {
      "[replace]"(
      string: string,
      replacer: (substring: string, ...args: any[]) => string,
      ): string;
      },
      replacer: (substring: string, ...args: any[]) => string,
      ): string;
      }
      - - (searchValue: string | RegExp, replaceValue: string): string

        - Replaces text in a string, using a regular expression or search string.

          #### Parameters

          - searchValue: string | RegExp

            A string or regular expression to search for.

          - replaceValue: string

            A string containing the text to replace. When the `searchValue` is a `RegExp`, all matches are replaced if the `g` flag is set (or only those matches at the beginning, if the `y` flag is also present). Otherwise, only the first match of `searchValue` is replaced.

          #### Returns string

        - (
          searchValue: string | RegExp,
          replacer: (substring: string, ...args: any[]) => string,
          ): string

        - Replaces text in a string, using a regular expression or search string.

          #### Parameters

          - searchValue: string | RegExp

            A string to search for.

          - replacer: (substring: string, ...args: any[]) => string

            A function that returns the replacement text.

          #### Returns string

        - (
          searchValue: {
          "[replace]"(string: string, replaceValue: string): string;
          },
          replaceValue: string,
          ): string

        - Passes a string and `replaceValue` to the `[Symbol.replace]` method on `searchValue`. This method is expected to implement its own replacement algorithm.

          #### Parameters

          - searchValue: { "[replace]"(string: string, replaceValue: string): string }

            An object that supports searching for and replacing matches within a string.

          - replaceValue: string

            The replacement text.

          #### Returns string

        - (
          searchValue: {
          "[replace]"(
          string: string,
          replacer: (substring: string, ...args: any[]) => string,
          ): string;
          },
          replacer: (substring: string, ...args: any[]) => string,
          ): string

        - Replaces text in a string, using an object that supports replacement within a string.

          #### Parameters

          - searchValue: {
            "[replace]"(
            string: string,
            replacer: (substring: string, ...args: any[]) => string,
            ): string;
            }

            A object can search for and replace matches within a string.

          - replacer: (substring: string, ...args: any[]) => string

            A function that returns the replacement text.

          #### Returns string

    - {
      (regexp: string | RegExp): number;
      (searcher: { "[search]"(string: string): number }): number;
      }
      - - (regexp: string | RegExp): number

        - Finds the first substring match in a regular expression search.

          #### Parameters

          - regexp: string | RegExp

            The regular expression pattern and applicable flags.

          #### Returns number

        - (searcher: { "[search]"(string: string): number }): number

        - Finds the first substring match in a regular expression search.

          #### Parameters

          - searcher: { "[search]"(string: string): number }

            An object which supports searching within a string.

          #### Returns number

    - (start?: number, end?: number) => string
      - - (start?: number, end?: number): string

        - Returns a section of a string.

          #### Parameters

          - `Optional` start: number

            The index to the beginning of the specified portion of stringObj.

          - `Optional` end: number

            The index to the end of the specified portion of stringObj. The substring includes the characters up to, but not including, the character indicated by end. If this value is not specified, the substring continues to the end of stringObj.

          #### Returns string

    - {
      (separator: string | RegExp, limit?: number): string[];
      (
      splitter: { "[split]"(string: string, limit?: number): string[] },
      limit?: number,
      ): string[];
      }
      - - (separator: string | RegExp, limit?: number): string[]

        - Split a string into substrings using the specified separator and return them as an array.

          #### Parameters

          - separator: string | RegExp

            A string that identifies character or characters to use in separating the string. If omitted, a single-element array containing the entire string is returned.

          - `Optional` limit: number

            A value used to limit the number of elements returned in the array.

          #### Returns string[]

        - (
          splitter: { "[split]"(string: string, limit?: number): string[] },
          limit?: number,
          ): string[]

        - Split a string into substrings using the specified separator and return them as an array.

          #### Parameters

          - splitter: { "[split]"(string: string, limit?: number): string[] }

            An object that can split a string.

          - `Optional` limit: number

            A value used to limit the number of elements returned in the array.

          #### Returns string[]

    - (start: number, end?: number) => string
      - - (start: number, end?: number): string

        - Returns the substring at the specified location within a String object.

          #### Parameters

          - start: number

            The zero-based index number indicating the beginning of the substring.

          - `Optional` end: number

            Zero-based index number indicating the end of the substring. The substring includes the characters up to, but not including, the character indicated by end. If end is omitted, the characters from start through the end of the original string are returned.

          #### Returns string

    - () => string
      - - (): string

        - Converts all the alphabetic characters in a string to lowercase.

          #### Returns string

    - { (locales?: string | string[]): string; (locales?: LocalesArgument): string }
      - - (locales?: string | string[]): string

        - Converts all alphabetic characters to lowercase, taking into account the host environment's current locale.

          #### Parameters

          - `Optional` locales: string | string[]

          #### Returns string

        - (locales?: LocalesArgument): string

        - Converts all alphabetic characters to lowercase, taking into account the host environment's current locale.

          #### Parameters

          - `Optional` locales: LocalesArgument

          #### Returns string

    - () => string
      - - (): string

        - Converts all the alphabetic characters in a string to uppercase.

          #### Returns string

    - { (locales?: string | string[]): string; (locales?: LocalesArgument): string }
      - - (locales?: string | string[]): string

        - Returns a string where all alphabetic characters have been converted to uppercase, taking into account the host environment's current locale.

          #### Parameters

          - `Optional` locales: string | string[]

          #### Returns string

        - (locales?: LocalesArgument): string

        - Returns a string where all alphabetic characters have been converted to uppercase, taking into account the host environment's current locale.

          #### Parameters

          - `Optional` locales: LocalesArgument

          #### Returns string

    - () => string
      - - (): string

        - Removes the leading and trailing white space and line terminator characters from a string.

          #### Returns string

    - (from: number, length?: number) => string
      - - (from: number, length?: number): string

        - Gets a substring beginning at the specified location and having the specified length.

          #### Parameters

          - from: number

            The starting position of the desired substring. The index of the first character in the string is zero.

          - `Optional` length: number

            The number of characters to include in the returned substring.

          #### Returns string

          #### Deprecated

          A legacy feature for browser compatibility

    - () => string
      - - (): string

        - Returns the primitive value of the specified object.

          #### Returns string

    - (pos: number) => number | undefined
      - - (pos: number): number | undefined

        - Returns a nonnegative integer Number less than 1114112 (0x110000) that is the code point value of the UTF-16 encoded code point starting at the string element at position pos in the String resulting from converting this object to a String. If there is no element at that position, the result is undefined. If a valid UTF-16 surrogate pair does not begin at pos, the result is the code unit at pos.

          #### Parameters

          - pos: number

          #### Returns number | undefined

    - (searchString: string, position?: number) => boolean
      - - (searchString: string, position?: number): boolean

        - Returns true if searchString appears as a substring of the result of converting this object to a String, at one or more positions that are greater than or equal to position; otherwise, returns false.

          #### Parameters

          - searchString: string

            search string

          - `Optional` position: number

            If position is undefined, 0 is assumed, so as to search all of the String.

          #### Returns boolean

    - (searchString: string, endPosition?: number) => boolean
      - - (searchString: string, endPosition?: number): boolean

        - Returns true if the sequence of elements of searchString converted to a String is the same as the corresponding elements of this object (converted to a String) starting at endPosition – length(this). Otherwise returns false.

          #### Parameters

          - searchString: string
          - `Optional` endPosition: number

          #### Returns boolean

    - { (form: "NFC" | "NFD" | "NFKC" | "NFKD"): string; (form?: string): string }
      - - (form: "NFC" | "NFD" | "NFKC" | "NFKD"): string

        - Returns the String value result of normalizing the string into the normalization form named by form as specified in Unicode Standard Annex #15, Unicode Normalization Forms.

          #### Parameters

          - form: "NFC" | "NFD" | "NFKC" | "NFKD"

            Applicable values: "NFC", "NFD", "NFKC", or "NFKD", If not specified default is "NFC"

          #### Returns string

        - (form?: string): string

        - Returns the String value result of normalizing the string into the normalization form named by form as specified in Unicode Standard Annex #15, Unicode Normalization Forms.

          #### Parameters

          - `Optional` form: string

            Applicable values: "NFC", "NFD", "NFKC", or "NFKD", If not specified default is "NFC"

          #### Returns string

    - (count: number) => string
      - - (count: number): string

        - Returns a String value that is made from count copies appended together. If count is 0, the empty string is returned.

          #### Parameters

          - count: number

            number of copies to append

          #### Returns string

    - (searchString: string, position?: number) => boolean
      - - (searchString: string, position?: number): boolean

        - Returns true if the sequence of elements of searchString converted to a String is the same as the corresponding elements of this object (converted to a String) starting at position. Otherwise returns false.

          #### Parameters

          - searchString: string
          - `Optional` position: number

          #### Returns boolean

    - (name: string) => string
      - - (name: string): string

        - Returns an `<a>` HTML anchor element and sets the name attribute to the text value

          #### Parameters

          - name: string

          #### Returns string

          #### Deprecated

          A legacy feature for browser compatibility

    - () => string
      - - (): string

        - Returns a `<big>` HTML element

          #### Returns string

          #### Deprecated

          A legacy feature for browser compatibility

    - () => string
      - - (): string

        - Returns a `<blink>` HTML element

          #### Returns string

          #### Deprecated

          A legacy feature for browser compatibility

    - () => string
      - - (): string

        - Returns a `<b>` HTML element

          #### Returns string

          #### Deprecated

          A legacy feature for browser compatibility

    - () => string
      - - (): string

        - Returns a `<tt>` HTML element

          #### Returns string

          #### Deprecated

          A legacy feature for browser compatibility

    - (color: string) => string
      - - (color: string): string

        - Returns a `<font>` HTML element and sets the color attribute value

          #### Parameters

          - color: string

          #### Returns string

          #### Deprecated

          A legacy feature for browser compatibility

    - { (size: number): string; (size: string): string }
      - - (size: number): string

        - Returns a `<font>` HTML element and sets the size attribute value

          #### Parameters

          - size: number

          #### Returns string

          #### Deprecated

          A legacy feature for browser compatibility

        - (size: string): string

        - Returns a `<font>` HTML element and sets the size attribute value

          #### Parameters

          - size: string

          #### Returns string

          #### Deprecated

          A legacy feature for browser compatibility

    - () => string
      - - (): string

        - Returns an `<i>` HTML element

          #### Returns string

          #### Deprecated

          A legacy feature for browser compatibility

    - (url: string) => string
      - - (url: string): string

        - Returns an `<a>` HTML element and sets the href attribute value

          #### Parameters

          - url: string

          #### Returns string

          #### Deprecated

          A legacy feature for browser compatibility

    - () => string
      - - (): string

        - Returns a `<small>` HTML element

          #### Returns string

          #### Deprecated

          A legacy feature for browser compatibility

    - () => string
      - - (): string

        - Returns a `<strike>` HTML element

          #### Returns string

          #### Deprecated

          A legacy feature for browser compatibility

    - () => string
      - - (): string

        - Returns a `<sub>` HTML element

          #### Returns string

          #### Deprecated

          A legacy feature for browser compatibility

    - () => string
      - - (): string

        - Returns a `<sup>` HTML element

          #### Returns string

          #### Deprecated

          A legacy feature for browser compatibility

    - (maxLength: number, fillString?: string) => string
      - - (maxLength: number, fillString?: string): string

        - Pads the current string with a given string (possibly repeated) so that the resulting string reaches a given length. The padding is applied from the start (left) of the current string.

          #### Parameters

          - maxLength: number

            The length of the resulting string once the current string has been padded. If this parameter is smaller than the current string's length, the current string will be returned as it is.

          - `Optional` fillString: string

            The string to pad the current string with. If this string is too long, it will be truncated and the left-most part will be applied. The default value for this parameter is " " (U+0020).

          #### Returns string

    - (maxLength: number, fillString?: string) => string
      - - (maxLength: number, fillString?: string): string

        - Pads the current string with a given string (possibly repeated) so that the resulting string reaches a given length. The padding is applied from the end (right) of the current string.

          #### Parameters

          - maxLength: number

            The length of the resulting string once the current string has been padded. If this parameter is smaller than the current string's length, the current string will be returned as it is.

          - `Optional` fillString: string

            The string to pad the current string with. If this string is too long, it will be truncated and the left-most part will be applied. The default value for this parameter is " " (U+0020).

          #### Returns string

    - () => string
      - - (): string

        - Removes the trailing white space and line terminator characters from a string.

          #### Returns string

    - () => string
      - - (): string

        - Removes the leading white space and line terminator characters from a string.

          #### Returns string

    - () => string
      - - (): string

        - Removes the leading white space and line terminator characters from a string.

          #### Returns string

          #### Deprecated

          A legacy feature for browser compatibility. Use `trimStart` instead

    - () => string
      - - (): string

        - Removes the trailing white space and line terminator characters from a string.

          #### Returns string

          #### Deprecated

          A legacy feature for browser compatibility. Use `trimEnd` instead

    - (regexp: RegExp) => RegExpStringIterator<RegExpExecArray>
      - - (regexp: RegExp): RegExpStringIterator<RegExpExecArray>

        - Matches a string with a regular expression, and returns an iterable of matches containing the results of that search.

          #### Parameters

          - regexp: RegExp

            A variable name or string literal containing the regular expression pattern and flags.

          #### Returns RegExpStringIterator<RegExpExecArray>

    - {
      (searchValue: string | RegExp, replaceValue: string): string;
      (
      searchValue: string | RegExp,
      replacer: (substring: string, ...args: any[]) => string,
      ): string;
      }
      - - (searchValue: string | RegExp, replaceValue: string): string

        - Replace all instances of a substring in a string, using a regular expression or search string.

          #### Parameters

          - searchValue: string | RegExp

            A string to search for.

          - replaceValue: string

            A string containing the text to replace for every successful match of searchValue in this string.

          #### Returns string

        - (
          searchValue: string | RegExp,
          replacer: (substring: string, ...args: any[]) => string,
          ): string

        - Replace all instances of a substring in a string, using a regular expression or search string.

          #### Parameters

          - searchValue: string | RegExp

            A string to search for.

          - replacer: (substring: string, ...args: any[]) => string

            A function that returns the replacement text.

          #### Returns string

    - (index: number) => string | undefined
      - - (index: number): string | undefined

        - Returns a new String consisting of the single UTF-16 code unit located at the specified index.

          #### Parameters

          - index: number

            The zero-based index of the desired code unit. A negative index will count back from the last item.

          #### Returns string | undefined

    - () => boolean
      - - (): boolean

        - Returns true if all leading surrogates and trailing surrogates appear paired and in order.

          #### Returns boolean

    - () => string
      - - (): string

        - Returns a string where all lone or out-of-order surrogates have been replaced by the Unicode replacement character (U+FFFD).

          #### Returns string

    - () => StringIterator<string>
      - - (): StringIterator<string>

        - Iterator

          #### Returns StringIterator<string>

  #### Returns Promise<ApiWrapper<StudioApplicationBase, BaseMessages>>

  JApplication object in full format

  - Defined in jamespot-user-api/src/apis/application/application.ts:74

### studioSuspend

- studioSuspend(
  idApp: string,
  ): Promise<ApiWrapper<StudioApplicationBase, BaseMessages>>

  Suspend an installed application.

  #### Parameters

  - idApp: string

  #### Returns Promise<ApiWrapper<StudioApplicationBase, BaseMessages>>

  JApplication object in full format

  - Defined in jamespot-user-api/src/apis/application/application.ts:53